package main.java.jcg.ssowmya.demo.typecast;

public class Staff extends UniversityUser{
    private String employeeType;
    private String department;
    private String phone;

    public Staff(String universityId, String name, String affiliation, String email, String employeeType, String department, String phone) {
        super(universityId, name, affiliation, email);
        this.employeeType = employeeType;
        this.department = department;
        this.phone = phone;
    }

    public String getEmployeeType() {
        return employeeType;
    }

    public void setEmployeeType(String employeeType) {
        this.employeeType = employeeType;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
    public boolean validateEmployee() {
        boolean isValidEmployee = false;
        boolean isValidUniversityUser = new ValidateUniversityUser().validateUniversityId(this);
        if(employeeType!=null && !"".equals(employeeType)) {
            switch(employeeType) {
                case "F/T":
                case "P/T":
                case "Hourly":
                    isValidEmployee = true;
                    break;
                default: break;
            }
        }
        return isValidUniversityUser && isValidEmployee;
    }

    public boolean getLibraryAccess() {
        return validateEmployee() && "F/T".equals(employeeType);
    }
}
